Bug 639518 - Review Request: gst-entrans - Plug-ins and tools for transcoding and recording with GStreamer
Review Request: gst-entrans - Plug-ins and tools for transcoding and recordin...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-10-01 21:46 EDT by Theodore Lee
Modified: 2011-07-04 14:53 EDT (History)
3 users (show)

See Also:
Fixed In Version: gst-entrans-0.10.3-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-04 14:49:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Theodore Lee 2010-10-01 21:46:54 EDT
Spec URL: http://www.masteryofthearts.co.cc/random/gst-entrans.spec
SRPM URL: http://www.masteryofthearts.co.cc/random/gst-entrans-0.10.2-1.fc13.src.rpm
Description:
GEntrans is a software package providing a collection of plug-ins and tools 
for the GStreamer multimedia framework specifically geared towards transcoding 
and recording purposes.

GStreamer allows for easy multimedia processing and creation of multimedia 
applications, as e.g. demonstrated by a number of players and some other 
applications already built on it. The purpose here is to concentrate on using 
the framework for transcoding purposes.

This is my first package for Fedora, so I'm in need of a sponsor.
Comment 1 Theodore Lee 2010-10-01 21:50:55 EDT
Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=2503553
Comment 2 Theodore Lee 2010-10-01 22:06:44 EDT
[antiaircraft@aa-netbook SRPMS]$ rpmlint gst-entrans-0.10.2-1.fc13.src.rpm
gst-entrans.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Streamliner
gst-entrans.src: W: invalid-url URL: http://gentrans.sourceforge.net/ <urlopen error timed out>
gst-entrans.src: W: no-buildroot-tag
gst-entrans.src: W: invalid-url Source0: http://downloads.sourceforge.net/gentrans/gst-entrans-0.10.2.tar.gz <urlopen error timed out>
1 packages and 0 specfiles checked; 0 errors, 7 warnings.

The invalid URL warnings are the fault of my university's proxy.
Comment 3 Theodore Lee 2010-11-29 00:12:29 EST
I updated the package for the latest upstream release.

Spec file: http://www.masteryofthearts.co.cc/random/gst-entrans.spec
SRPM: http://www.masteryofthearts.co.cc/random/gst-entrans-0.10.3-1.fc14.src.rpm

$ rpmlint gst-entrans-0.10.3-1.fc14.src.rpm
gst-entrans.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Streamliner
gst-entrans.src: W: no-buildroot-tag
1 packages and 0 specfiles checked; 0 errors, 5 warnings.

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2631454
Comment 4 Remi Collet 2011-05-15 11:01:05 EDT
As gstreamer-plugins-base-devel requires gstreamer-devel, you don't need to explicitly requires it.

IN fact I don't know if this package is suitable for fedora of rpmfusion.
- it seems related to avidemux, mencoder, which are in rpmfusion (patent issue)
+ it doesn't link against any lib which is not available in fedora (only liboil)
Need some search.
Comment 5 Theodore Lee 2011-05-15 11:25:18 EDT
As I recall (though I may recall incorrectly), the code borrowed from avidemux/mencoder is mainly for a few effects filters. The upstream maintainer probably knows better than me though.
Comment 6 Remi Collet 2011-06-02 12:32:01 EDT
=== FORMAL REVIEW ===
 -=N/A  x=Check  !=Problem,  ?=Not evaluated

=== REQUIRED ITEMS ===
 [!] Rpmlint output:
gst-entrans.spec: I: checking-url http://downloads.sourceforge.net/gentrans/gst-entrans-0.10.3.tar.gz (timeout 10 seconds)
gst-entrans.src: I: checking
gst-entrans.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.src: I: checking-url http://gentrans.sourceforge.net/ (timeout 10 seconds)
gst-entrans.src: I: checking-url http://downloads.sourceforge.net/gentrans/gst-entrans-0.10.3.tar.gz (timeout 10 seconds)
gst-entrans.x86_64: I: checking
gst-entrans.x86_64: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.x86_64: W: incoherent-version-in-changelog 0.10.3-1 ['0.10.3-1.fc15.remi', '0.10.3-1.remi']
gst-entrans.x86_64: I: checking-url http://gentrans.sourceforge.net/ (timeout 10 seconds)
gst-entrans-debuginfo.x86_64: I: checking
gst-entrans-debuginfo.x86_64: I: checking-url http://gentrans.sourceforge.net/ (timeout 10 seconds)
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcsub.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdetectinter.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gststabilize.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gstsoften.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcshift.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstdelogo.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstunsharp.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstxsharpen.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdnr.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdecimate.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstsmooth.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstivtc.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdivxkey.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstwhitebalance.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstastat.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstkerneldeint.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstmsharpen.c
3 packages and 1 specfiles checked; 17 errors, 9 warnings.
 [x] Package is named according to the Package Naming Guidelines.
 [x] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [x] Package meets the Packaging Guidelines
 [x] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [x] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [x] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
 [x] Spec file is legible and written in American English.
 [x] Sources used to build the package matches the upstream source, as provided
in the spec URL.
	md5sum : 80b7d32ac65d367b51604816ddb582fd gst-entrans-0.10.3.tar.gz
 [x] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested on: f15.x86_64
 [x] Package is not known to require ExcludeArch
 [!] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
 [-] The spec file handles locales properly.
 [-] ldconfig called in %post and %postun if required.
 [-] Packages don't bundle copies of system librarie
 [-] Package is not relocatable.
 [x] Package must own all directories that it creates.
 [x] Package requires other packages for directories it uses.
 [x] Package does not contain duplicates in %files.
 [x] Permissions on files are set properly.
 [x] Package consistently uses macros.
 [x] Package contains code, or permissable content.
 [-] Large documentation files are in a -doc subpackage, if required.
 [x] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] Fully versioned dependency in subpackages with %{?_isa}, if present.
 [x] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
 [x] All filenames in rpm packages must be valid UTF-8
 [x] Package does not own files or directories owned by other packages.

=== SUGGESTED ITEMS ===
 [x] Latest version is packaged.
 [-] If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it. 
 [-] The description and summary sections in the package spec file should contain
     translations for supported Non-English languages, if available.
 [x] Reviewer should test that the package builds in mock.
     Tested on: Koji 
	http://koji.fedoraproject.org/koji/taskinfo?taskID=3106317
 [x] The package should compile and build into binary rpms on all supported architectures.
     Tested on: rawhide
 [x] Package functions as described.
 [-] If scriptlets are used, those scriptlets must be sane. 
 [ ] If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin 
     consider requiring the package which provides the file instead of the file itself. 
 [-] your package should contain man pages for binaries/scripts. 
     If it doesn't, work with upstream to add them where they make sense.
 [-] The placement of pkgconfig(.pc) files is correct.
 [-] %check is present and the tests pass


incorrect-fsf-address: please open an upstream bug about this (note that COPYING file is ok)

According to config file, this package requires gst 0.10.13 (which is very old = FC-7)
You can (using a %{gst_minver} macro for maintainability)
  %global gst_minver 0.10.13
  BR: gstreamer-devel >= %{gst_minver}
  R: gstreamer >= %{gst_minver}
OR 
  remove BR: gstreamer-devel (already required by gstreamer-plugins-base-devel)
(I prefer first)

Upstream provides some docs which should be add to the %doc file (probably in a -docs sub-package, but not so big)
* docs/manual/html 

You should also add the --enable-gtk-doc (will install doc/plugins/html to /usr/share/gtk-doc)

According to Guildelines, plugins should be in a gstreamer-plugins-xxx package, but this package is not only a plugins package, So proposal:
* gst-entrans (main package, with command, man and doc)
* gstreamer-plugins-entrans
* gstreamer-plugins-entrans-docs (with gtk-doc), noarch

Please avoid to large wildcard in %file
p.e, %{_bindir}/* => %{_bindir}/entrans
this will avoid bad surprise on a future update
Comment 7 Theodore Lee 2011-06-02 21:57:58 EDT
All right, thanks for the review - I'm a tad busy with exams now, but I'll get the updated package sorted out within a couple of days.
Comment 8 Theodore Lee 2011-06-09 23:54:30 EDT
Okay, I've split up the package and made the necessary changes. The new spec and SRPM files are at:
Spec URL: http://water-spirits.net/lazyadmin-stuff/gst-entrans.spec
SRPM URL: http://water-spirits.net/lazyadmin-stuff/gst-entrans-0.10.3-2.fc15.src.rpm

$ rpmlint *.rpm
gst-entrans.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.x86_64: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.x86_64: E: no-binary
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcsub.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstxsharpen.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdetectinter.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstwhitebalance.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gststabilize.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gstsoften.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstdelogo.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdecimate.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstsmooth.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstivtc.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstunsharp.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdnr.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstastat.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstkerneldeint.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcshift.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstmsharpen.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdivxkey.c
gstreamer-plugins-entrans.x86_64: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gstreamer-plugins-entrans.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gstreamer-plugins-entrans.x86_64: W: no-documentation
gstreamer-plugins-entrans-docs.noarch: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gstreamer-plugins-entrans-docs.noarch: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
5 packages and 0 specfiles checked; 18 errors, 13 warnings.

The FSF address issue has been filed upstream:
https://sourceforge.net/tracker/?func=detail&aid=3314502&group_id=194944&atid=951457

Regarding any possible legal issues, should I contact the maintainer and ask for more information?
Comment 9 Remi Collet 2011-06-17 10:18:51 EDT
Sorry for the long delay. 
Good work on the "split".

Final minor issues.

Licensing, See : http://fedoraproject.org/wiki/Packaging:LicensingGuidelines#Subpackage_Licensing

So :

- gstreamer-plugins-entrans-docs doesn't requires gst-entrans (which is ok), so you must add the license file in this sub-package.

- gstreamer-plugins-entrans could also be install alone, so must also add the license file.

- gst-entrans requires gstreamer-plugins-entrans, so license is not required (but you can keep it, with AUTHORS file, it's your choice)


Move 
BuildRequires:  gtk-doc
To gstreamer-plugins-entrans-docs sub-package

I think there is no legal issue, as no codec are provided.


Notice : for the /usr/share/gtk-doc/html directory ownership, guidelines allow 2 solutions.
- require an owner (gtk-doc)
- own the directory (to avoid to require more packages)
Both are ok. It's "your" choice (I think "gtk-doc" is required to generate the doc, not to read it...)

Everything else seems ok.
Comment 10 Theodore Lee 2011-06-20 05:40:17 EDT
Okay, no problem, thanks again for the review.

I've added the COPYING files to the relevant subpackages - the updated files are here:
Spec URL: http://water-spirits.net/lazyadmin-stuff/gst-entrans.spec
SRPM URL:
http://water-spirits.net/lazyadmin-stuff/gst-entrans-0.10.3-3.fc15.src.rpm

$ rpmlint *.rpm
gst-entrans.src: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.src: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.src: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.x86_64: W: spelling-error Summary(en_US) transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gst-entrans.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gst-entrans.x86_64: W: spelling-error %description -l en_US GStreamer -> G Streamer, Streamer, Steamer
gst-entrans.x86_64: E: no-binary
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcsub.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstxsharpen.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdetectinter.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstwhitebalance.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gststabilize.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/avidemux/gstsoften.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstdelogo.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdecimate.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstsmooth.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstivtc.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/mencoder/gstunsharp.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdnr.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstastat.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstkerneldeint.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstcshift.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/virtualdub/gstmsharpen.c
gst-entrans-debuginfo.x86_64: E: incorrect-fsf-address /usr/src/debug/gst-entrans-0.10.3/gst/transcode/gstdivxkey.c
gstreamer-plugins-entrans.x86_64: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gstreamer-plugins-entrans.x86_64: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
gstreamer-plugins-entrans-docs.noarch: W: spelling-error %description -l en_US GEntrans -> Gentians, Gen trans, Gen-trans
gstreamer-plugins-entrans-docs.noarch: W: spelling-error %description -l en_US transcoding -> trans coding, trans-coding, transcending
5 packages and 0 specfiles checked; 18 errors, 12 warnings.

For the for the /usr/share/gtk-doc/html directory, I figured it would be best to remain consistent with the approach used in the main GStreamer plugins packages.
Comment 11 Remi Collet 2011-06-25 02:52:27 EDT
The gtk-doc page contains link to "gobject" documentation. So, you can, if you want add a requires for glib2-devel (but I don't really like having a -docs package requies a -devel one...)

All issues fixed

*********
APPROVED
*********
Comment 12 Remi Collet 2011-06-25 03:02:56 EDT
I've just approved you to the packager group.

Welcome !

So you can now proceed with the SCM request and import your package.
Comment 13 Theodore Lee 2011-06-25 20:43:52 EDT
New Package SCM Request
=======================
Package Name: gst-entrans
Short Description: Plug-ins and tools for transcoding and recording with GStreamer
Owners: antiaircraft
Branches: f14 f15
InitialCC:
Comment 14 Jon Ciesla 2011-06-25 20:45:37 EDT
Git done (by process-git-requests).
Comment 15 Fedora Update System 2011-06-26 03:19:03 EDT
gst-entrans-0.10.3-3.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/gst-entrans-0.10.3-3.fc15
Comment 16 Fedora Update System 2011-06-26 03:20:11 EDT
gst-entrans-0.10.3-3.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/gst-entrans-0.10.3-3.fc14
Comment 17 Fedora Update System 2011-06-26 14:49:02 EDT
gst-entrans-0.10.3-3.fc15 has been pushed to the Fedora 15 testing repository.
Comment 18 Fedora Update System 2011-07-04 14:49:48 EDT
gst-entrans-0.10.3-3.fc15 has been pushed to the Fedora 15 stable repository.
Comment 19 Fedora Update System 2011-07-04 14:53:28 EDT
gst-entrans-0.10.3-3.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.